## Script (Python) "checkIncoming"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title= sets origin_url & entry_url in session
##

# originally spec'd in #24

request = container.REQUEST
RESPONSE =  request.RESPONSE

session = request["SESSION"]

ignoredsuffixes = (".js", "_js", "jpg", "css","png","gif","png","ico","pdf")

# Check for origin url
if "origin_url" not in session.keys():
   session["origin_url"]= request["HTTP_REFERER"]
   
# Check for entry url - note first loaded file may be gif/js/css...
if "entry_url" not in session.keys() and request["ACTUAL_URL"][-3:] not in ignoredsuffixes:
    if request.QUERY_STRING:
       session["entry_url"] = "".join((request.ACTUAL_URL,'?',request.QUERY_STRING))
    else:
       session["entry_url"] = request.ACTUAL_URL

