## Script (Python) "mapOriginURLParameters"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=urlparams
##title= maps URL params to origin info
##

# params is a (param, val) dict

#request = container.REQUEST
#RESPONSE =  request.RESPONSE

#ORIGIN = 1
#PERSON = 2
#VERSION = 3
#SEGMENT = 4
#KEYWORDS = 5

# 
# THE URL PARAMETER MAPPING (mappingtable, see below)
#

mappingtable = {'o':'origin', 'p':'person', 'v':'version', 's':'segment', 'k':'keywords'}

# Dictionary keys correspond to the names of the URL parameters.
# If you want to change the defaults, uncomment the line below and replace
# 'name' strings with values that correspond to your URL parameters.

#mappingtable = {'name':'origin', 'name':'person', 'name':'version', 'name':'segment', 'name':'keywords'}

data = {}

for k in mappingtable:
   if k in urlparams:
      data[mappingtable[k]] = urlparams[k]
   else:
      data[mappingtable[k]] = ""

return data
