## Script (Python) "takeaction"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##bind state=state
##parameters=
##title= returns "take action" view
##

# The content type that is used to store sign-ups
record_type = "Action Record"

# The view that is used to render the sign-up form
form_view = "actionform_view"

#actionpath= "/".join(context.getPhysicalPath()) + "/records/actionform_view"

# Set on-site referral/origin URL
request = context.REQUEST
session = request.SESSION
response = request.RESPONSE

# Clear the record, allowing same PC/browser to be used
try:
   del session["record_path"]
except:
   pass

#if "onsite_origin_url" not in session.keys():
if request.HTTP_REFERER[:len(request.SERVER_URL)] == request.SERVER_URL:
   session["onsite_origin_url"] = request.HTTP_REFERER
else:
   session["onsite_origin_url"] = "direct"

# Make sure we're not cached!
response.setHeader('Expires', '-1')
response.setHeader('Pragma', 'no-cache')
response.setHeader('Cache-Control', 'no-cache')

# TODO: remove sanitizedTypeName if it's used nowhere!

stepids = list(context.contentIds("Action Step"))
stepids = [(context.getObjectPosition(id), id) for id in stepids]
stepids.sort()
stepids = [id for idx,id in stepids]

session["stepid"] = stepid = stepids[0]
#state.setKwargs({"persistent_stepid":stepid})
state.setNextAction('traverse_to:string:%s' % stepid)
return state.set(status='success')
