## Script (Python) "action_dostep.cpy"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##bind state=state
##parameters=
##title= moves to next step
##

# SETUP
state.set(errors={}, status="success", form_submitted=0)
step = context.aq_inner
session = context.REQUEST.SESSION

# context.aq_parent.get not ok on plone 2.1, use getattr
next_step = getattr(context.aq_parent, step.getNextStepId())
next_step_path = '/'.join(next_step.getPhysicalPath())
tasks = step.getStep_tasks()

# PERFORM TASKS
for t in tasks:
   state = getattr(step, t)(state)
   if state.status == "failure":
      try:
         del session["record_path"]
      except:
         pass
      return state

state.setNextAction("traverse_to:string:%s" % next_step_path)
return state
